import flash.net.NetConnection;

class Client {
    private var _conn:NetConnection;
    private var _main:Main;

    public function new(conn:NetConnection, main:Main) {
        _conn = conn;
        _main = main;
    }

    // Wird vom Server aufgerufen, sobald die Verbindung akzeptiert wurde
    public function setServerTime(timeMessage:String) {
        say("Server time is " + timeMessage);

        // 'echo' auf dem Server aufrufen
        _conn.call("echo", null, "Client is calling echo() on server");
    }

    // 'Wird vom Server aufgerufen, um den Client zu einer Ausgabe zu
    // veranlassen
    public function say(str:String) {
        _main.trace(str);
    }
}
